/* This file is part of the TDE libraries
   Copyright (C) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>
             (C) 2013 Golubev Alexander <fatzer2@gmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _DISKS_HELPER_H
#define _DISKS_HELPER_H

#include <stdlib.h>
#include "tdestoragedevice.h"


//-------------------------------
//  UDisks
//-------------------------------
TQStringVariantMap UDisksEjectDrive(TDEStorageDevice *sdevice);
TQStringVariantMap UDisksMountDrive(TQString deviceNode, TQString fileSystemType, TQStringList mountOptions);
TQStringVariantMap UDisksUnmountDrive(TQString deviceNode, TQStringList unmountOptions);

//-------------------------------
//  UDisks2
//-------------------------------
TQStringVariantMap UDisks2EjectDrive(TDEStorageDevice *sdevice);
TQStringVariantMap UDisks2MountDrive(TQString deviceNode, TQString fileSystemType, TQString mountOptions);
TQStringVariantMap UDisks2UnmountDrive(TQString deviceNode, TQString unmountOptions);

#endif
